org.apache.poi.ooxml.dev

## Class OOXMLLister

- java.lang.Object
- - org.apache.poi.ooxml.dev.OOXMLLister

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public class OOXMLLister
      extends java.lang.Object
      implements java.io.Closeable

  Prints out the contents of a OOXML container. Useful for seeing what parts are defined, and how they're all related to each other.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OOXMLLister(OPCPackage container)`
    `OOXMLLister(OPCPackage container, java.io.PrintStream disp)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `displayParts()` Displays information on all the different parts of the OOXML file container.
    `void` | `displayRelations()` Displays information on all the different relationships between different parts of the OOXML file container.
    `static long` | `getSize(PackagePart part)` Figures out how big a given PackagePart is.
    `static void` | `main(java.lang.String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OOXMLLister

          public OOXMLLister(OPCPackage container)

    - #### OOXMLLister

          public OOXMLLister(OPCPackage container,
                             java.io.PrintStream disp)

  - ### Method Detail

    - #### getSize

          public static long getSize(PackagePart part)
                              throws java.io.IOException

      Figures out how big a given PackagePart is.
      Parameters:
        `part` - the PackagePart
      Returns:
        the size of the PackagePart
      Throws:
        `java.io.IOException` - if the part can't be read

    - #### displayParts

          public void displayParts()
                            throws InvalidFormatException,
                                   java.io.IOException

      Displays information on all the different parts of the OOXML file container.
      Throws:
        `InvalidFormatException` - if the package relations are invalid
        `java.io.IOException` - if the package can't be read

    - #### displayRelations

          public void displayRelations()

      Displays information on all the different relationships between different parts of the OOXML file container.

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.io.IOException,
                                  InvalidFormatException

      Throws:
        `java.io.IOException`
        `InvalidFormatException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.